ghc-7.0.4: The GHC API

CmmZipUtil

Synopsis

- zipPreds :: LastNode l => LGraph m l -> BlockEnv BlockSet
- givesUniquePredecessorTo :: LastNode l => LGraph m l -> BlockId -> Bool

# Documentation

zipPreds :: LastNode l => LGraph m l -> BlockEnv BlockSet Source

Compute the predecessors of each reachable block

givesUniquePredecessorTo :: LastNode l => LGraph m l -> BlockId -> Bool Source

Tell if a graph gives a block a unique predecessor. For efficiency, this function is designed to be partially applied.